Skip to content

createIntercompanyTransaction

WRITE

Create intercompany transaction.

POST /api/v1/accounting/createIntercompanyTransaction
curl -X POST '<your-host>/api/v1/accounting/createIntercompanyTransaction' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "sourceCompanyId": "string",
    "targetCompanyId": "string",
    "amount": 0,
    "currencyCode": "string",
    "description": "string",
    "debitAccountId": "string",
    "creditAccountId": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
> 0
min length 1
min length 1
min length 1
min length 1
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "sourceCompanyId": {
      "type": "string",
      "minLength": 1
    },
    "targetCompanyId": {
      "type": "string",
      "minLength": 1
    },
    "amount": {
      "type": "number",
      "exclusiveMinimum": 0
    },
    "currencyCode": {
      "type": "string",
      "minLength": 1
    },
    "description": {
      "type": "string",
      "minLength": 1
    },
    "debitAccountId": {
      "type": "string",
      "minLength": 1
    },
    "creditAccountId": {
      "type": "string",
      "minLength": 1
    },
    "postingDate": {
      "type": "string"
    }
  },
  "required": [
    "sourceCompanyId",
    "targetCompanyId",
    "amount",
    "currencyCode",
    "description",
    "debitAccountId",
    "creditAccountId"
  ]
}